export declare class LoadingSpinner {
    host: HTMLElement;
    isActive: boolean;
    type: string;
    color: string;
    show(): Promise<void>;
    hide(): Promise<void>;
    toggle(): Promise<void>;
    render(): any;
}
